## org.apache.mahout.math.hadoop
Class TimesSquaredJob.TimesMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.TimesSquaredJob.TimesSquaredMapper<org.apache.hadoop.io.IntWritable>
              org.apache.mahout.math.hadoop.TimesSquaredJob.TimesMapper

All Implemented Interfaces:
  Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>

Enclosing class:
  TimesSquaredJob

    public static class TimesSquaredJob.TimesMapper

extends TimesSquaredJob.TimesSquaredMapper<org.apache.hadoop.io.IntWritable>

Constructor Summary
`TimesSquaredJob.TimesMapper()`

Method Summary
`void` `map(org.apache.hadoop.io.IntWritable rowNum, VectorWritable v, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.NullWritable,VectorWritable> out, org.apache.hadoop.mapred.Reporter rep)`

Methods inherited from class org.apache.mahout.math.hadoop.TimesSquaredJob.TimesSquaredMapper
`close, configure, scale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimesSquaredJob.TimesMapper

    public TimesSquaredJob.TimesMapper()

Method Detail

### map

    public void map(org.apache.hadoop.io.IntWritable rowNum,
                    VectorWritable v,
                    org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.NullWritable,VectorWritable> out,
                    org.apache.hadoop.mapred.Reporter rep)

  Specified by:
    `map` in interface `org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>`
  Overrides:
    `map` in class `TimesSquaredJob.TimesSquaredMapper<org.apache.hadoop.io.IntWritable>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.